<template>
  <div>
    <h1>Profile page</h1>
    <v-btn @click="onLogout">Logout</v-btn>
  </div>
</template>

<script>
export default {
  name: 'ProfilePage',
  middleware: 'auth',

  methods: {
    async onLogout() {
      await this.$auth.logout()
      this.$router.push('/login')
    }
  }
}
</script>
